package com.xzzn.ems.domain.vo;


import java.math.BigDecimal;

import javax.validation.constraints.NotBlank;

/**
 * 设备列表-点位详情-入参
 *
 */
public class PointDataRequest {
    /** 站点id */
    @NotBlank(message = "站点ID不能为空")
    private String siteId;
    /** 设备id */
    @NotBlank(message = "设备ID不能为空")
    private String deviceId;
    /** 设备类型 */
    @NotBlank(message = "设备类型不能为空")
    private String deviceCategory;
    /** 排序方式 */
    private String sortMethod;
    /** 点位名称-模糊查询 */
    private String dataPointName;
    /** 点位-模糊查询 */
    private String dataPoint;
    /** 点位匹配字段 */
    private String matchField;
    /** 点位数据-范围上下限 */
    private BigDecimal lower;
    private BigDecimal upper;
    /** 排序字段 */
    private String sortData;
    /** 父类deviceId */
    private String parentId;
    /** modbus地址 */
    private String ipAddress;
    /** modbus端口 */
    private Integer ipPort;
    /** 是否告警点位 */
    private Integer isAlarm;

    public Integer getIsAlarm() {
        return isAlarm;
    }

    public void setIsAlarm(Integer isAlarm) {
        this.isAlarm = isAlarm;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Integer getIpPort() {
        return ipPort;
    }

    public void setIpPort(Integer ipPort) {
        this.ipPort = ipPort;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getSortData() {
        return sortData;
    }

    public void setSortData(String sortData) {
        this.sortData = sortData;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCategory() {
        return deviceCategory;
    }

    public void setDeviceCategory(String deviceCategory) {
        this.deviceCategory = deviceCategory;
    }

    public String getSortMethod() {
        return sortMethod;
    }

    public void setSortMethod(String sortMethod) {
        this.sortMethod = sortMethod;
    }

    public String getDataPointName() {
        return dataPointName;
    }

    public void setDataPointName(String dataPointName) {
        this.dataPointName = dataPointName;
    }

    public String getDataPoint() {
        return dataPoint;
    }

    public void setDataPoint(String dataPoint) {
        this.dataPoint = dataPoint;
    }

    public String getMatchField() {
        return matchField;
    }

    public void setMatchField(String matchField) {
        this.matchField = matchField;
    }

    public BigDecimal getLower() {
        return lower;
    }

    public void setLower(BigDecimal lower) {
        this.lower = lower;
    }

    public BigDecimal getUpper() {
        return upper;
    }

    public void setUpper(BigDecimal upper) {
        this.upper = upper;
    }
}
